---

inv__install_mariadb__galera_cluster:
  enabled: true
  clustername: "my.mariadb-debian-cluster.local"
  node_name: "{{ inventory_hostname }}"
  node_address: "{{ hostvars[inventory_hostname]['ansible_default_ipv4']['address'] }}"
  node_list:
    - "molecule--debian-12--instance-1--role--install-maxscale"
    - "molecule--debian-12--instance-2--role--install-maxscale"
    - "molecule--debian-12--instance-3--role--install-maxscale"
  seed_host: "molecule--debian-12--instance-1--role--install-maxscale"

inv__install_maxscale__mariadb:
  admin_user: "root" # adminstrator user for create the user
  admin_password: "admin"
  maxscale_user: "maxscale"
  maxscale_password: "maxscale"
  type: "galeramon" # galeramon / mariadbmon
  ssl_crt: "my.maxscale.local/my.maxscale.local.pem.crt"
  ssl_key: "my.maxscale.local/my.maxscale.local.pem.key"
  ssl_ca: "my.maxscale.local/ca-chain.pem.crt"
  hosts:
    - { name: "server-1", port: 3306, address: "{{ hostvars['molecule--debian-12--instance-1--role--install-maxscale']['ansible_default_ipv4']['address'] }}" }
    - { name: "server-2", port: 3306, address: "{{ hostvars['molecule--debian-12--instance-2--role--install-maxscale']['ansible_default_ipv4']['address'] }}" }
    - { name: "server-3", port: 3306, address: "{{ hostvars['molecule--debian-12--instance-3--role--install-maxscale']['ansible_default_ipv4']['address'] }}" }
